unit schRemesasProveedorServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schRemesasProveedorClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_darReferenciaDelta = '{1CF21482-DCAA-4AC1-99E1-17E699935E70}';
  RID_RemesasProveedorDelta = '{3E42591F-5D39-4B25-9D0B-65195F9A748B}';
  RID_RemesasProveedor_RefreshDelta = '{98216DA8-39E0-4978-8E23-96992F4135C8}';

type
  { IdarReferenciaDelta }
  IdarReferenciaDelta = interface(IdarReferencia)
  ['{1CF21482-DCAA-4AC1-99E1-17E699935E70}']
    { Property getters and setters }
    function GetOldVALORValue : String;

    { Properties }
    property OldVALOR : String read GetOldVALORValue;
  end;

  { TdarReferenciaBusinessProcessorRules }
  TdarReferenciaBusinessProcessorRules = class(TDABusinessProcessorRules, IdarReferencia, IdarReferenciaDelta)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    function GetOldVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR : String read GetVALORValue write SetVALORValue;
    property OldVALOR : String read GetOldVALORValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRemesasProveedorDelta }
  IRemesasProveedorDelta = interface(IRemesasProveedor)
  ['{3E42591F-5D39-4B25-9D0B-65195F9A748B}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldTIPOValue : String;
    function GetOldFECHA_REMESAValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldUSUARIOValue : String;
    function GetOldID_DATOS_BANCOValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
  end;

  { TRemesasProveedorBusinessProcessorRules }
  TRemesasProveedorBusinessProcessorRules = class(TDABusinessProcessorRules, IRemesasProveedor, IRemesasProveedorDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    function GetOldTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    function GetOldFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    function GetOldID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property OldTIPO : String read GetOldTIPOValue;
    property FECHA_REMESA : DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property ID_DATOS_BANCO : Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRemesasProveedor_RefreshDelta }
  IRemesasProveedor_RefreshDelta = interface(IRemesasProveedor_Refresh)
  ['{98216DA8-39E0-4978-8E23-96992F4135C8}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldTIPOValue : String;
    function GetOldFECHA_REMESAValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldUSUARIOValue : String;
    function GetOldID_DATOS_BANCOValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
  end;

  { TRemesasProveedor_RefreshBusinessProcessorRules }
  TRemesasProveedor_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IRemesasProveedor_Refresh, IRemesasProveedor_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetTIPOValue: String; virtual;
    function GetOldTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    function GetOldFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    function GetOldID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetENTIDADValue: String; virtual;
    function GetOldENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetOldSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetDCValue: String; virtual;
    function GetOldDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetCUENTAValue: String; virtual;
    function GetOldCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property OldTIPO : String read GetOldTIPOValue;
    property FECHA_REMESA : DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property ID_DATOS_BANCO : Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property DC : String read GetDCValue write SetDCValue;
    property OldDC : String read GetOldDCValue;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TdarReferenciaBusinessProcessorRules }
constructor TdarReferenciaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TdarReferenciaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TdarReferenciaBusinessProcessorRules.GetVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_darReferenciaVALOR];
end;

function TdarReferenciaBusinessProcessorRules.GetOldVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_darReferenciaVALOR];
end;

procedure TdarReferenciaBusinessProcessorRules.SetVALORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_darReferenciaVALOR] := aValue;
end;


{ TRemesasProveedorBusinessProcessorRules }
constructor TRemesasProveedorBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRemesasProveedorBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRemesasProveedorBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_EMPRESA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID_EMPRESA];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_EMPRESA] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorREFERENCIA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorREFERENCIA];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorREFERENCIA] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorTIPO];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorTIPO];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorTIPO] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_REMESA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_REMESA];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_REMESA] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDESCRIPCION];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorDESCRIPCION];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDESCRIPCION] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorUSUARIO];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorUSUARIO];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorUSUARIO] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_DATOS_BANCO];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorID_DATOS_BANCO];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorID_DATOS_BANCO] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_ALTA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_ALTA];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_ALTA] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_MODIFICACION];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorFECHA_MODIFICACION];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorFECHA_MODIFICACION] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorIMPORTE_TOTAL];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorIMPORTE_TOTAL];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorIMPORTE_TOTAL] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorNOMBRE];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorNOMBRE];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorNOMBRE] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorENTIDAD];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorENTIDAD];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorENTIDAD] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUCURSAL];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUCURSAL];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUCURSAL] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDC];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorDC];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorDC] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorCUENTA];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorCUENTA];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorCUENTA] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N19];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUFIJO_N19];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N19] := aValue;
end;

function TRemesasProveedorBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N58];
end;

function TRemesasProveedorBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedorSUFIJO_N58];
end;

procedure TRemesasProveedorBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedorSUFIJO_N58] := aValue;
end;


{ TRemesasProveedor_RefreshBusinessProcessorRules }
constructor TRemesasProveedor_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRemesasProveedor_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshID];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshID];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshID] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshID_EMPRESA];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshID_EMPRESA];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshID_EMPRESA] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshREFERENCIA];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshREFERENCIA];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshREFERENCIA] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshTIPO];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshTIPO];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshTIPO] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshFECHA_REMESA];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshFECHA_REMESA];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshFECHA_REMESA] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshDESCRIPCION];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshDESCRIPCION];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshDESCRIPCION] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshUSUARIO];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshUSUARIO];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshUSUARIO] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshID_DATOS_BANCO];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshID_DATOS_BANCO];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshID_DATOS_BANCO] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshFECHA_ALTA];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshFECHA_ALTA];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshFECHA_ALTA] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshFECHA_MODIFICACION];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshFECHA_MODIFICACION];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshFECHA_MODIFICACION] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshIMPORTE_TOTAL];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshIMPORTE_TOTAL];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshIMPORTE_TOTAL] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshNOMBRE];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshNOMBRE];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshNOMBRE] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshENTIDAD];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshENTIDAD];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshENTIDAD] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshSUCURSAL];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshSUCURSAL];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshSUCURSAL] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshDC];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshDC];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshDC] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshCUENTA];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshCUENTA];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshCUENTA] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshSUFIJO_N19];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshSUFIJO_N19];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshSUFIJO_N19] := aValue;
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshSUFIJO_N58];
end;

function TRemesasProveedor_RefreshBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasProveedor_RefreshSUFIJO_N58];
end;

procedure TRemesasProveedor_RefreshBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasProveedor_RefreshSUFIJO_N58] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_darReferenciaDelta, TdarReferenciaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RemesasProveedorDelta, TRemesasProveedorBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RemesasProveedor_RefreshDelta, TRemesasProveedor_RefreshBusinessProcessorRules);

end.
